How to use ARM9 Payloads on a boot9 3DS?

Discussion in '3DS - Homebrew Development and Emulators' started by RyDog, May 20, 2017.

  1. RyDog
    OP

    RyDog Lazy Animal Crossing hacker

    Member
    1,596
    1,149
    Apr 26, 2015
    United States
    I just recentally installed boot9, everything runs greats, it's just that now all the arm9 payloads have become obsolete.
    It's not a big deal, it's just that I want the ability to boot my GW into my emuNAND (don't tell me not to use GW) so I've tried using their .3dsx (with SVC services patched), and since their .3dsx only worked on 9.2 with the really old exploit, it'll fail since it doesn't have a case if it is launched with the correct access already.
    And yes, GW has an arm9 payload. I used it to dual boot my 3DS with Luma and Gateway but now I'd like to find a way to launch it.
    If anyone knows a way, please let me know and thanks :)
     
    Last edited by RyDog, May 20, 2017


  2. Lia

    Lia bohemian rhapsody

    Member
    1,331
    2,564
    Jan 29, 2016
    United Kingdom
    B_E_P_I_S_M_A_N likes this.
  3. addi33

    addi33 GBAtemp Advanced Maniac

    Member
    1,642
    701
    Sep 12, 2016
    Gambia, The
    I wonder how you managed to uninstall boot9 if you had to install it.
     
  4. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ I drool on my knife

    Member
    19,410
    19,839
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    I am going to tell you not use Gateway because chance are that it won't work. Currently every CFW converted with that tool fails to boot, I would know because I sent both Corbenik and ReiNAND to test. Both of them resulted in a black soft-locked screen and chances are extremely high that gateway will result in the same thing.
    Please, stop using Gateway. You are just going to sit around for 6 months and then end up with an out of date launcher like they did with A9LH.
     
    kragzy, gnmmarechal and Lia like this.
  5. Slattz

    Slattz Easygoing Fairy

    Member
    1,103
    1,186
    Nov 21, 2015
    Ireland
    Until a free cfw has a cheat engine as good as GW, I doubt RyDog will be switching.
     
    V0ltr0n and B_E_P_I_S_M_A_N like this.
  6. RyDog
    OP

    RyDog Lazy Animal Crossing hacker

    Member
    1,596
    1,149
    Apr 26, 2015
    United States
    Thanks, apparently cfws don't boot with that. And I know that Luma allows me to boot my emuNAND, it's that I want to boot Gateway.
    I wrote this in the morning before my coffee :rofl2: Yes, I know it's sighax, I couldn't get 9 out of my head so I immediately wrote Boot9, which is what sighax is exploiting.
    I asked in the OP to not put anti GW comments in this thread. You're just trying to start a flamewar. Thanks for the info about cfws not working though. I'm sure GW will fart out a .firm within the next 6 months.
     
    iAqua, DarkFlare69 and addi33 like this.
  7. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ I drool on my knife

    Member
    19,410
    19,839
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    You seems to be under the assumption that every single "anti-GW" comment is made to upset, despite actually being a rather polite request to stop using it it. Expect nothing I said was at all incorrect. The Gateway Team has a long history of waiting months to even years without a proper update. They even blew their April deadline for 11.3 support. Giving them 6 months is actually being rather kind at this point.
    Basically stop putting so much affection in your cart. It's only holding you back from something better.
     
    Last edited by Lilith Valentine, May 20, 2017
  8. RyDog
    OP

    RyDog Lazy Animal Crossing hacker

    Member
    1,596
    1,149
    Apr 26, 2015
    United States
    I don't care about your request. If someone ask you not to do/say something, that probably means you shouldn't do it.

    And now you're continuing of trying to start a flamewar of telling me what I already know what's wrong with Gateway. I barely use it, as I only use it to search for cheats. Which Luma lacks.
     
  9. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ I drool on my knife

    Member
    19,410
    19,839
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    Your inability to deal with facts does not equate to a flamewar. I am trying to help you by pointing facts
    1: Gateway doesn't work with sighax and most likely won't for a very long time
    2: You can't even convert the launcher to work with sighax
    3: You are the only one keeping yourself back by continuing to use that cart.

    I actually care enough to give you what you need to hear, not feed you want to hear
     
    Majickhat55 and gnmmarechal like this.
  10. RyDog
    OP

    RyDog Lazy Animal Crossing hacker

    Member
    1,596
    1,149
    Apr 26, 2015
    United States
    I already know those facts, that's why I'm not cohering with your advice.
    And stop debying that you're starting a flamewar. A flamewar is when two parties throw dirt at each other. (Like saying you shouldn't use Android, carriers don't update them and they get viruses) You're either expecting me to argue back why I want to use it or expecting me to go along with your advice.
    Then you're indirectly calling me an idiot for neglecting your advice. Good job on that, I'll have to see what the moderators think on it.

    This thread was basically created for requesting a chain loader that had backwards compatibility with arm9 payloads. Some payloads work, but others don't, so it's a disadvantage of having a completely new exploit.
    I believe a privilege escalation Homebrew app might be possible for this request, sort of how you can use safehax to launch arm9 payloads.
     
    V0ltr0n and DarkFlare69 like this.
  11. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ I drool on my knife

    Member
    19,410
    19,839
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    Again, just because you don't like what I am saying doesn't make it a flamewar. You are the only one who doesn't want to hear what I have to say. What I said was something I actually tested and know something about.
    I am actually trying to help by suggesting ditching the Gateway instead of holding onto for months on end for an update that may not even happen. If you've already updated to boot9strap, then you should just really consider retiring the cart and moving past it.
    As for the converted CFW not working, it's most likely because the converter doesn't change the payload load paths coupled with offset changes. It requires some actual re-works of parts of the code
     
    Last edited by Lilith Valentine, May 20, 2017
  12. Slattz

    Slattz Easygoing Fairy

    Member
    1,103
    1,186
    Nov 21, 2015
    Ireland
    I'm pretty sure this implies that he already uses luma and uses a GW emunand just for cheats but you've clearly failed to see that.
     
    RyDog likes this.
  13. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ I drool on my knife

    Member
    19,410
    19,839
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    I've seen it and doesn't change my answer. If he barely uses it, then it shouldn't be that big a deal to just retire it already
     
    Last edited by Lilith Valentine, May 20, 2017
  14. RyDog
    OP

    RyDog Lazy Animal Crossing hacker

    Member
    1,596
    1,149
    Apr 26, 2015
    United States
    My initial request was a way to boot Gateway. Not your opinion on whether I should ditch Gateway or not, which is what I've been trying to say, but you keep ignoring my request for you to shut up about you trying to get me to ditch.
     
  15. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ I drool on my knife

    Member
    19,410
    19,839
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    I answered your first request that it wasn't possible for us to get it working. We don't have the source code and thus we can't edit the offsets to make it work.
     
  16. RyDog
    OP

    RyDog Lazy Animal Crossing hacker

    Member
    1,596
    1,149
    Apr 26, 2015
    United States
    So then you don't need to tell me to not use it. Especially since I asked in the OP to NOT tell me to ditch it.
     
  17. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ I drool on my knife

    Member
    19,410
    19,839
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    Or you can just accept the fact that people are going to encourage you to stop using something that is clearly hindering you. If you updated to boot9strap, then it's obvious that you want to be up to date with the community, something Gateway just doesn't allow to happen. So I am giving you the best suggestion I can give and that's my honest suggestion.
     
    sleepymanakete likes this.
  18. Slattz

    Slattz Easygoing Fairy

    Member
    1,103
    1,186
    Nov 21, 2015
    Ireland
    You are also giving a suggestion that was clearly not asked for in the OP.

    Anyway, to bring this thread ontopic:

    This could work for your situation. Theres a download link 2 posts below.
     
    DarkFlare69 and RyDog like this.
  19. RyDog
    OP

    RyDog Lazy Animal Crossing hacker

    Member
    1,596
    1,149
    Apr 26, 2015
    United States
    You seem to be the only person that's doing it. You need to learn that I never asked for suggestions on what I should do with my Gateway. You've done this in the past. It was someone who was having a menuhax problem, and you suggested they just install arm9loaderhax instead of attempting to help them with their problem.
     
    DarkFlare69 likes this.
  20. nitroBW

    nitroBW warum nicht?

    Member
    750
    680
    Nov 1, 2016
    Germany
    donut piss wasteland
    Using old/ outdated stuff especially the GW almost always means no support from new stuff, like B9S/ Sighax.
    It has been released this morning, there are maybe 3 payloads that work, why expect something so soon anyway?

    Either wait or do it yourself.